%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-provision
Version:          1.0.1
Release:          2%{dist}
Summary:          JBossOSGi Provision
License:          ASL 2.0 and LGPLv2+
Url:              http://www.jboss.org
Source0:          https://github.com/jbosgi/jbosgi-provision/archive/%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent
BuildRequires:    jbosgi-resolver
BuildRequires:    jbosgi-framework
BuildRequires:    jbosgi-repository
BuildRequires:    jbosgi-parent
BuildRequires:    jboss-logmanager
BuildRequires:    maven-local
BuildRequires:    maven-plugin-build-helper

BuildArch:        noarch

%description
The JBossOSGi Provision.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbosgi-provision-%{namedversion}

%build
# DEBUG: Tests run: 8, Failures: 1, Errors: 1, Skipped: 0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial packaging

